> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User

Permanently deletes a user account and all associated data.


## OpenAPI

````yaml DELETE /api/v1/user
openapi: 3.0.2
info:
  title: Scoot Customer API - Complete Documentation
  version: 1.0.0
  description: >-
    Complete API documentation for Scoot customer-facing endpoints with full
    type definitions from the backend service.
servers:
  - url: https://api.scoot.app
    description: Production server
security: []
tags:
  - name: Social
    description: Social event management endpoints
  - name: Room
    description: Room management endpoints
  - name: Theme
    description: Theme and background management endpoints
  - name: Event
    description: Event registration and management endpoints
  - name: Recording
    description: Recording and transcription endpoints
  - name: Playlist
    description: Audio playlist management endpoints
  - name: Badging
    description: Badge and gamification endpoints
  - name: User
    description: User management endpoints
paths:
  /api/v1/user:
    delete:
      tags:
        - UserController
      summary: DELETE /api/v1/user
      operationId: delete__api_v1_user
      responses:
        '200':
          description: OK
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````